Bug 1577624 - Workstation-28-1.1.aarch64 hangs during boot
Summary: Workstation-28-1.1.aarch64 hangs during boot
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 15:06 UTC by jeff
Modified: 2019-03-22 23:10 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:12:21 UTC
Type: Bug


Attachments (Terms of Use)

Description jeff 2018-05-13 15:06:38 UTC
Description of problem:
I put Fedora-Workstation-28-1.1.aarch64.raw.xz on a micro sd card.
I uncompressed the partition using gparted.
I put the micro sd card in a raspberry pi 3.
It started booting, with the usual boot messages.
After about 31 seconds, the screen goes blank, and there is no vide.

Version-Release number of selected component (if applicable):
28.1.1

How reproducible:
100%

Steps to Reproduce:
1. put image on sd
2. uncompress
3. boot
4. cry

Actual results:
no video

Expected results:
video

Additional info:
I have reported similar problems with fedora 27 and 26
See 1514686 and 1471324.

I think it is a good idea to support the pi 2 and 3. If fedora is going to
support it, it would be nice if the OS actually finishes booting, and is
usable. This issue has persisted for over a year.
I presume nobody has ever tested fedora 26, 27 or 28 on a pi, because if they
did, they would have the issues I have reported.
If nobody tests that it works, I recommend removing claims of raspberry pi 3
support.

Comment 1 Justin M. Forbes 2018-07-23 15:06:21 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:12:25 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 3 jeff 2018-08-29 15:22:53 UTC
Thanks for closing my bug, because you decided to ignore it.
I have been reporting this issue for the last 3 versions of fedora.
It has not gotten fixed. I have done all I can.

I guess you just don't care about raspberry pi's specifically, or addressing bug reports in general.

I won't report any more bugs.

jeff

Comment 4 peter.enderborg 2018-10-01 10:48:36 UTC
I have likely the same issue. This is the kernel log showing the problem with video:


   21.265124] Bluetooth: HCI UART protocol Intel registered
[   21.289824] Bluetooth: HCI UART protocol Broadcom registered
[   21.300963] uart-pl011 3f201000.serial: no DMA platform data
[   21.313463] Bluetooth: HCI UART protocol QCA registered
[   21.359829] Bluetooth: HCI UART protocol AG6XX registered
[   21.382984] Bluetooth: HCI UART protocol Marvell registered
[   21.504998] kauditd_printk_skb: 9 callbacks suppressed
[   21.505010] audit: type=1130 audit(1526048824.964:56): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-rfkill comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   21.923187] Registered IR keymap rc-cec
[   21.923532] rc rc0: RC for vc4 as /devices/platform/soc/3f902000.hdmi/rc/rc0
[   21.969429] input: RC for vc4 as /devices/platform/soc/3f902000.hdmi/rc/rc0/input3
[   21.996339] vc4_hdmi 3f902000.hdmi: ASoC: Failed to create component debugfs directory
[   22.026669] vc4_hdmi 3f902000.hdmi: vc4-hdmi-hifi <-> 3f902000.hdmi mapping ok
[   22.052973] vc4-drm soc:gpu: bound 3f902000.hdmi (ops vc4_hdmi_ops [vc4])
[   22.077751] vc4-drm soc:gpu: bound 3f806000.vec (ops vc4_vec_ops [vc4])
[   22.100877] vc4-drm soc:gpu: bound 3f400000.hvs (ops vc4_hvs_ops [vc4])
[   22.101345] vc4-drm soc:gpu: bound 3f206000.pixelvalve (ops vc4_crtc_ops [vc4])
[   22.101614] vc4-drm soc:gpu: bound 3f207000.pixelvalve (ops vc4_crtc_ops [vc4])
[   22.101912] vc4-drm soc:gpu: bound 3f807000.pixelvalve (ops vc4_crtc_ops [vc4])
[   22.163817] vc4-drm soc:gpu: bound 3fc00000.v3d (ops vc4_v3d_ops [vc4])
[   22.199620] brcmfmac: brcmf_sdio_htclk: HT Avail timeout (1000000): clkctl 0x50
[   22.221910] checking generic (3e731000 8ca000) vs hw (0 ffffffffffffffff)
[   22.244103] fb: switching to vc4drmfb from EFI VGA
[   22.265011] Console: switching to colour dummy device 80x25
[   22.274732] [drm] Initialized vc4 0.0.0 20140616 for soc:gpu on minor 0
[   22.281493] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[   22.288348] [drm] Driver supports precise vblank timestamp query.
[   22.373151] ------------[ cut here ]------------
[   22.373161] [CRTC:89:crtc-2] vblank wait timed out
[   22.373360] WARNING: CPU: 1 PID: 368 at drivers/gpu/drm/drm_atomic_helper.c:1362 drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   22.373364] Modules linked in: rc_cec vc4(+) snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec rc_core drm_kms_helper hci_uart brcmfmac btqca drm btbcm btintel smsc95xx usbnet brcmutil bluetooth mii cfg80211 fb_sys_fops syscopyarea sysfillrect crc32_ce sysimgblt gpio_raspberrypi_exp ecdh_generic rfkill bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio mmc_block dwc2 sdhci_iproc sdhci_pltfm udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[   22.373503] CPU: 1 PID: 368 Comm: systemd-udevd Not tainted 4.18.9-200.fc28.aarch64 #1
[   22.373507] Hardware name: raspberrypi rpi/rpi, BIOS 2018.03 04/15/2018
[   22.373514] pstate: 40400005 (nZcv daif +PAN -UAO)
[   22.373586] pc : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   22.373656] lr : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   22.373660] sp : ffff00000c403220
[   22.373664] x29: ffff00000c403220 x28: 0000000000000001 
[   22.373672] x27: 0000000000000060 x26: 0000000000000000 
[   22.373680] x25: 0000000000000001 x24: ffff80003466d800 
[   22.373688] x23: 0000000000000004 x22: 0000000000000030 
[   22.373696] x21: ffff800034372028 x20: ffff80002d39a980 
[   22.373705] x19: 0000000000000002 x18: 00000000fffffffd 
[   22.373713] x17: 0000000000000001 x16: 0000000000000007 
[   22.373720] x15: 0000000000000001 x14: ffffffffffffffff 
[   22.373728] x13: 0000000000000000 x12: ffff00000981a000 
[   22.373737] x11: ffff000009653000 x10: ffff00000981aa28 
[   22.373745] x9 : 0000000000000000 x8 : ffff000009825e70 
[   22.373753] x7 : 0000000000000000 x6 : 000000005c8f8250 
[   22.373761] x5 : 0000000000000001 x4 : ffff80003e527218 
[   22.373769] x3 : ffff80003e527218 x2 : 0000000000000007 
[   22.373776] x1 : 0000000000000006 x0 : 0000000000000026 
[   22.373784] Call trace:
[   22.373858]  drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   22.373929]  drm_atomic_helper_wait_for_vblanks+0x30/0x40 [drm_kms_helper]
[   22.373989]  vc4_atomic_complete_commit+0x218/0x268 [vc4]
[   22.374033]  vc4_atomic_commit+0x140/0x178 [vc4]
[   22.374208]  drm_atomic_commit+0x54/0x60 [drm]
[   22.374278]  restore_fbdev_mode_atomic+0x204/0x228 [drm_kms_helper]
[   22.374349]  restore_fbdev_mode+0x38/0x180 [drm_kms_helper]
[   22.374419]  drm_fb_helper_restore_fbdev_mode_unlocked+0x78/0xd8 [drm_kms_helper]
[   22.374490]  drm_fb_helper_set_par+0x34/0x60 [drm_kms_helper]
[   22.374504]  fbcon_init+0x3ac/0x4f0
[   22.374511]  visual_init+0xb8/0x110
[   22.374518]  do_bind_con_driver+0x1fc/0x3a0
[   22.374524]  do_take_over_console+0x158/0x1f8
[   22.374532]  do_fbcon_takeover+0x70/0xd8
[   22.374540]  fbcon_event_notify+0x79c/0x810
[   22.374551]  notifier_call_chain+0x5c/0x98
[   22.374558]  blocking_notifier_call_chain+0x64/0x88
[   22.374565]  fb_notifier_call_chain+0x30/0x40
[   22.374571]  register_framebuffer+0x1e8/0x300
[   22.374643]  __drm_fb_helper_initial_config_and_unlock+0x200/0x400 [drm_kms_helper]
[   22.374714]  drm_fb_helper_initial_config+0x4c/0x58 [drm_kms_helper]
[   22.374785]  drm_fb_cma_fbdev_init_with_funcs+0xb4/0x158 [drm_kms_helper]
[   22.374856]  drm_fb_cma_fbdev_init+0x38/0x48 [drm_kms_helper]
[   22.374901]  vc4_kms_load+0xe8/0x118 [vc4]
[   22.374946]  vc4_drm_bind+0x140/0x160 [vc4]
[   22.374956]  try_to_bring_up_master+0x1ec/0x2c8
[   22.374964]  component_master_add_with_match+0xe0/0x120
[   22.375008]  vc4_platform_drm_probe+0xc8/0xe8 [vc4]
[   22.375016]  platform_drv_probe+0x58/0xa8
[   22.375022]  really_probe+0x1fc/0x3b8
[   22.375028]  driver_probe_device+0x54/0xd8
[   22.375034]  __driver_attach+0xe4/0x158
[   22.375043]  bus_for_each_dev+0x70/0xa8
[   22.375048]  driver_attach+0x30/0x40
[   22.375054]  bus_add_driver+0x25c/0x288
[   22.375060]  driver_register+0x64/0x110
[   22.375067]  __platform_driver_register+0x54/0x60
[   22.375112]  vc4_drm_register+0x4c/0x58 [vc4]
[   22.375121]  do_one_initcall+0x3c/0x1b4
[   22.375131]  do_init_module+0x60/0x1f0
[   22.375139]  load_module.isra.38+0x1404/0x1698
[   22.375146]  sys_init_module+0x160/0x200
[   22.375152]  __sys_trace_return+0x0/0x4
[   22.375157] ---[ end trace 2ea2e93fb9019f5a ]---
[   22.375266] Console: switching to colour frame buffer device 210x65
[   23.353144] Bluetooth: hci0: command 0xfc18 tx timeout
[   26.500355] audit: type=1131 audit(1526048829.954:57): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-rfkill comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   31.833156] Bluetooth: hci0: BCM: failed to write update baudrate (-110)
[   31.833163] Bluetooth: hci0: Failed to set baudrate
[   31.957326] Bluetooth: hci0: BCM: chip id 94
[   31.959481] Bluetooth: hci0: BCM: features 0x2e
[   31.982477] Bluetooth: hci0: BCM43430A1
[   31.982489] Bluetooth: hci0: BCM43430A1 (001.002.009) build 0000
[   31.982618] bluetooth hci0: Direct firmware load for brcm/BCM43430A1.hcd failed with error -2
[   31.982627] Bluetooth: hci0: BCM: Patch brcm/BCM43430A1.hcd not found
[   32.473235] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:89:crtc-2] flip_done timed out
[   42.713235] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:29:HDMI-A-1] flip_done timed out
[   52.953229] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:87:plane-20] flip_done timed out
[   53.013130] ------------[ cut here ]------------
[   53.013137] [CRTC:89:crtc-2] vblank wait timed out
[   53.013330] WARNING: CPU: 1 PID: 368 at drivers/gpu/drm/drm_atomic_helper.c:1362 drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   53.013334] Modules linked in: rc_cec vc4(+) snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec rc_core drm_kms_helper hci_uart brcmfmac btqca drm btbcm btintel smsc95xx usbnet brcmutil bluetooth mii cfg80211 fb_sys_fops syscopyarea sysfillrect crc32_ce sysimgblt gpio_raspberrypi_exp ecdh_generic rfkill bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio mmc_block dwc2 sdhci_iproc sdhci_pltfm udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[   53.013472] CPU: 1 PID: 368 Comm: systemd-udevd Tainted: G        W         4.18.9-200.fc28.aarch64 #1
[   53.013476] Hardware name: raspberrypi rpi/rpi, BIOS 2018.03 04/15/2018
[   53.013483] pstate: 40400005 (nZcv daif +PAN -UAO)
[   53.013555] pc : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   53.013627] lr : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   53.013630] sp : ffff00000c403180
[   53.013633] x29: ffff00000c403180 x28: 0000000000000001 
[   53.013642] x27: 0000000000000060 x26: 0000000000000000 
[   53.013650] x25: 0000000000000001 x24: ffff80003466d800 
[   53.013658] x23: 0000000000000004 x22: 0000000000000030 
[   53.013666] x21: ffff800034372028 x20: ffff80002d39ab00 
[   53.013674] x19: 0000000000000002 x18: 00000000fffffffd 
[   53.013682] x17: 0000000000000001 x16: 0000000000000007 
[   53.013690] x15: 0000000000000001 x14: ffffffffffffffff 
[   53.013698] x13: 0000000000000000 x12: ffff00000981a000 
[   53.013706] x11: ffff000009653000 x10: ffff00000981aa28 
[   53.013714] x9 : 0000000000000000 x8 : ffff000009827580 
[   53.013721] x7 : 0000000000000000 x6 : 000000005c8f8250 
[   53.013729] x5 : 0000000000000001 x4 : ffff80003e527218 
[   53.013737] x3 : ffff80003e527218 x2 : 0000000000000007 
[   53.013745] x1 : 0000000000000006 x0 : 0000000000000026 
[   53.013753] Call trace:
[   53.013825]  drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   53.013896]  drm_atomic_helper_wait_for_vblanks+0x30/0x40 [drm_kms_helper]
[   53.013957]  vc4_atomic_complete_commit+0x218/0x268 [vc4]
[   53.014000]  vc4_atomic_commit+0x140/0x178 [vc4]
[   53.014177]  drm_atomic_commit+0x54/0x60 [drm]
[   53.014247]  restore_fbdev_mode_atomic+0x204/0x228 [drm_kms_helper]
[   53.014317]  drm_fb_helper_pan_display+0xa8/0x1c8 [drm_kms_helper]
[   53.014330]  fb_pan_display+0x9c/0x110
[   53.014340]  bit_update_start+0x28/0x50
[   53.014348]  fbcon_switch+0x40c/0x518
[   53.014355]  redraw_screen+0x134/0x228
[   53.014361]  do_bind_con_driver+0x340/0x3a0
[   53.014367]  do_take_over_console+0x158/0x1f8
[   53.014375]  do_fbcon_takeover+0x70/0xd8
[   53.014382]  fbcon_event_notify+0x79c/0x810
[   53.014392]  notifier_call_chain+0x5c/0x98
[   53.014400]  blocking_notifier_call_chain+0x64/0x88
[   53.014405]  fb_notifier_call_chain+0x30/0x40
[   53.014412]  register_framebuffer+0x1e8/0x300
[   53.014484]  __drm_fb_helper_initial_config_and_unlock+0x200/0x400 [drm_kms_helper]
[   53.014556]  drm_fb_helper_initial_config+0x4c/0x58 [drm_kms_helper]
[   53.014627]  drm_fb_cma_fbdev_init_with_funcs+0xb4/0x158 [drm_kms_helper]
[   53.014697]  drm_fb_cma_fbdev_init+0x38/0x48 [drm_kms_helper]
[   53.014742]  vc4_kms_load+0xe8/0x118 [vc4]
[   53.014787]  vc4_drm_bind+0x140/0x160 [vc4]
[   53.014797]  try_to_bring_up_master+0x1ec/0x2c8
[   53.014805]  component_master_add_with_match+0xe0/0x120
[   53.014849]  vc4_platform_drm_probe+0xc8/0xe8 [vc4]
[   53.014857]  platform_drv_probe+0x58/0xa8
[   53.014864]  really_probe+0x1fc/0x3b8
[   53.014870]  driver_probe_device+0x54/0xd8
[   53.014876]  __driver_attach+0xe4/0x158
[   53.014884]  bus_for_each_dev+0x70/0xa8
[   53.014890]  driver_attach+0x30/0x40
[   53.014895]  bus_add_driver+0x25c/0x288
[   53.014902]  driver_register+0x64/0x110
[   53.014908]  __platform_driver_register+0x54/0x60
[   53.014954]  vc4_drm_register+0x4c/0x58 [vc4]
[   53.014962]  do_one_initcall+0x3c/0x1b4
[   53.014972]  do_init_module+0x60/0x1f0
[   53.014980]  load_module.isra.38+0x1404/0x1698
[   53.014988]  sys_init_module+0x160/0x200
[   53.014994]  __sys_trace_return+0x0/0x4
[   53.014999] ---[ end trace 2ea2e93fb9019f5b ]---
[   55.243542] vc4-drm soc:gpu: fb0:  frame buffer device
[   65.753231] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:89:crtc-2] flip_done timed out
[   75.993231] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:29:HDMI-A-1] flip_done timed out
[   86.233229] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:87:plane-20] flip_done timed out
[   86.293133] ------------[ cut here ]------------
[   86.293140] [CRTC:89:crtc-2] vblank wait timed out
[   86.293333] WARNING: CPU: 1 PID: 401 at drivers/gpu/drm/drm_atomic_helper.c:1362 drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   86.293337] Modules linked in: rc_cec vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec rc_core drm_kms_helper hci_uart brcmfmac btqca drm btbcm btintel smsc95xx usbnet brcmutil bluetooth mii cfg80211 fb_sys_fops syscopyarea sysfillrect crc32_ce sysimgblt gpio_raspberrypi_exp ecdh_generic rfkill bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio mmc_block dwc2 sdhci_iproc sdhci_pltfm udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[   86.293476] CPU: 1 PID: 401 Comm: setfont Tainted: G        W         4.18.9-200.fc28.aarch64 #1
[   86.293479] Hardware name: raspberrypi rpi/rpi, BIOS 2018.03 04/15/2018
[   86.293487] pstate: 40400005 (nZcv daif +PAN -UAO)
[   86.293560] pc : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   86.293631] lr : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   86.293634] sp : ffff00000e3c3760
[   86.293638] x29: ffff00000e3c3760 x28: 0000000000000001 
[   86.293646] x27: 0000000000000060 x26: 0000000000000000 
[   86.293654] x25: 0000000000000001 x24: ffff80003466d800 
[   86.293662] x23: 0000000000000004 x22: 0000000000000030 
[   86.293670] x21: ffff800034372028 x20: ffff80002d373500 
[   86.293678] x19: 0000000000000002 x18: 00000000fffffffd 
[   86.293686] x17: 0000000000000001 x16: 0000000000000007 
[   86.293694] x15: 0000000000000001 x14: ffffffffffffffff 
[   86.293702] x13: 0000000000000000 x12: ffff00000981a000 
[   86.293710] x11: ffff000009653000 x10: ffff00000981aa28 
[   86.293718] x9 : 0000000000000000 x8 : ffff000009828928 
[   86.293726] x7 : 0000000000000000 x6 : 000000005c8f8250 
[   86.293734] x5 : 0000000000000001 x4 : ffff80003e527218 
[   86.293742] x3 : ffff80003e527218 x2 : 0000000000000007 
[   86.293749] x1 : 0000000000000006 x0 : 0000000000000026 
[   86.293757] Call trace:
[   86.293830]  drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[   86.293901]  drm_atomic_helper_wait_for_vblanks+0x30/0x40 [drm_kms_helper]
[   86.293944]  vc4_atomic_complete_commit+0x218/0x268 [vc4]
[   86.293981]  vc4_atomic_commit+0x140/0x178 [vc4]
[   86.294155]  drm_atomic_commit+0x54/0x60 [drm]
[   86.294224]  restore_fbdev_mode_atomic+0x204/0x228 [drm_kms_helper]
[   86.294294]  drm_fb_helper_pan_display+0xa8/0x1c8 [drm_kms_helper]
[   86.294308]  fb_pan_display+0x9c/0x110
[   86.294317]  bit_update_start+0x28/0x50
[   86.294325]  fbcon_switch+0x40c/0x518
[   86.294332]  redraw_screen+0x134/0x228
[   86.294340]  fbcon_do_set_font+0x1d0/0x260
[   86.294347]  fbcon_set_font+0x204/0x258
[   86.294353]  con_font_op+0x384/0x460
[   86.294361]  vt_ioctl+0xd0c/0x1790
[   86.294369]  tty_ioctl+0x23c/0xfd8
[   86.294379]  do_vfs_ioctl+0xb0/0x970
[   86.294386]  ksys_ioctl+0x84/0xb8
[   86.294393]  sys_ioctl+0x34/0x48
[   86.294401]  __sys_trace_return+0x0/0x4
[   86.294406] ---[ end trace 2ea2e93fb9019f5c ]---
[   87.774976] audit: type=1130 audit(1526048891.234:58): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-udev-settle comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   87.838872] audit: type=1130 audit(1526048891.294:59): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=lvm2-lvmetad comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   87.989071] audit: type=1130 audit(1526048891.444:60): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dmraid-activation comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   88.039454] audit: type=1131 audit(1526048891.444:61): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dmraid-activation comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   88.092143] audit: type=1130 audit(1526048891.544:62): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=lvm2-monitor comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   88.475764] audit: type=1130 audit(1526048891.934:63): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-fsck@dev-disk-by\x2duuid-C7E2\x2d3D10 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   88.545755] audit: type=1130 audit(1526048892.004:64): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-fsck@dev-disk-by\x2duuid-9ecd8a0f\x2d45c7\x2d4416\x2da2a9\x2d760036929acd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   88.713704] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. Opts: (null)
[   88.939844] audit: type=1130 audit(1526048892.394:65): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dracut-shutdown comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   89.043627] audit: type=1130 audit(1526048892.504:66): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=plymouth-read-write comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   89.043779] audit: type=1131 audit(1526048892.504:67): pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=plymouth-read-write comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   96.473305] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:89:crtc-2] flip_done timed out
[   97.085964] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   97.197016] smsc95xx 1-1.1:1.0 eth0: hardware isn't capable of remote wakeup
[   97.197865] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   98.672015] smsc95xx 1-1.1:1.0 eth0: link up, 100Mbps, full-duplex, lpa 0xC1E1
[  106.713370] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:29:HDMI-A-1] flip_done timed out
[  116.954629] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:87:plane-20] flip_done timed out
[  117.014508] ------------[ cut here ]------------
[  117.014515] [CRTC:89:crtc-2] vblank wait timed out
[  117.014743] WARNING: CPU: 1 PID: 40 at drivers/gpu/drm/drm_atomic_helper.c:1362 drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  117.014747] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables vfat fat rc_cec vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec rc_core drm_kms_helper hci_uart brcmfmac btqca drm btbcm btintel smsc95xx usbnet brcmutil bluetooth mii cfg80211 fb_sys_fops syscopyarea sysfillrect crc32_ce sysimgblt gpio_raspberrypi_exp ecdh_generic rfkill bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio
[  117.014926]  mmc_block dwc2 sdhci_iproc sdhci_pltfm udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[  117.014966] CPU: 1 PID: 40 Comm: kworker/1:1 Tainted: G        W         4.18.9-200.fc28.aarch64 #1
[  117.014970] Hardware name: raspberrypi rpi/rpi, BIOS 2018.03 04/15/2018
[  117.015045] Workqueue: events output_poll_execute [drm_kms_helper]
[  117.015056] pstate: 40400005 (nZcv daif +PAN -UAO)
[  117.015127] pc : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  117.015198] lr : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  117.015201] sp : ffff000009b83a60
[  117.015205] x29: ffff000009b83a60 x28: 0000000000000001 
[  117.015214] x27: 0000000000000060 x26: 0000000000000000 
[  117.015222] x25: 0000000000000001 x24: ffff80003466d800 
[  117.015230] x23: 0000000000000004 x22: 0000000000000030 
[  117.015238] x21: ffff800034372028 x20: ffff80002d366580 
[  117.015246] x19: 0000000000000002 x18: 00000000fffffffd 
[  117.015254] x17: 0000000000000001 x16: 0000000000000007 
[  117.015262] x15: 0000000000000001 x14: ffffffffffffffff 
[  117.015270] x13: 0000000000000000 x12: ffff00000981a000 
[  117.015278] x11: ffff000009653000 x10: ffff00000981aa28 
[  117.015286] x9 : 0000000000000000 x8 : ffff00000982a39c 
[  117.015294] x7 : 0000000000000000 x6 : 000000005c8f8250 
[  117.015301] x5 : 0000000000000001 x4 : ffff80003e527218 
[  117.015310] x3 : ffff80003e527218 x2 : 0000000000000007 
[  117.015317] x1 : 0000000000000006 x0 : 0000000000000026 
[  117.015325] Call trace:
[  117.015398]  drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  117.015469]  drm_atomic_helper_wait_for_vblanks+0x30/0x40 [drm_kms_helper]
[  117.015511]  vc4_atomic_complete_commit+0x218/0x268 [vc4]
[  117.015547]  vc4_atomic_commit+0x140/0x178 [vc4]
[  117.015723]  drm_atomic_commit+0x54/0x60 [drm]
[  117.015793]  restore_fbdev_mode_atomic+0x204/0x228 [drm_kms_helper]
[  117.015864]  restore_fbdev_mode+0x38/0x180 [drm_kms_helper]
[  117.015935]  drm_fb_helper_restore_fbdev_mode_unlocked+0x78/0xd8 [drm_kms_helper]
[  117.016007]  drm_fb_helper_set_par+0x34/0x60 [drm_kms_helper]
[  117.016078]  drm_fb_helper_hotplug_event.part.27+0xa0/0xc8 [drm_kms_helper]
[  117.016150]  drm_fb_helper_output_poll_changed+0x40/0x50 [drm_kms_helper]
[  117.016219]  drm_kms_helper_hotplug_event+0x34/0x40 [drm_kms_helper]
[  117.016288]  output_poll_execute+0x1ac/0x1b8 [drm_kms_helper]
[  117.016303]  process_one_work+0x1b0/0x3b8
[  117.016311]  worker_thread+0x48/0x400
[  117.016317]  kthread+0x130/0x138
[  117.016326]  ret_from_fork+0x10/0x18
[  117.016330] ---[ end trace 2ea2e93fb9019f5d ]---
[  128.474723] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:89:crtc-2] flip_done timed out
[  138.714816] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:29:HDMI-A-1] flip_done timed out
[  148.954885] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:87:plane-20] flip_done timed out
[  149.014790] ------------[ cut here ]------------
[  149.014798] [CRTC:89:crtc-2] vblank wait timed out
[  149.015014] WARNING: CPU: 1 PID: 785 at drivers/gpu/drm/drm_atomic_helper.c:1362 drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  149.015017] Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables vfat fat rc_cec vc4 snd_soc_core ac97_bus snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm snd_timer snd soundcore cec rc_core drm_kms_helper hci_uart brcmfmac btqca drm btbcm btintel smsc95xx usbnet brcmutil bluetooth mii cfg80211 fb_sys_fops syscopyarea sysfillrect crc32_ce sysimgblt gpio_raspberrypi_exp ecdh_generic rfkill bcm2835_thermal bcm2835_wdt bcm2835_rng leds_gpio
[  149.015194]  mmc_block dwc2 sdhci_iproc sdhci_pltfm udc_core sdhci pwm_bcm2835 i2c_bcm2835 bcm2835 bcm2835_dma phy_generic
[  149.015235] CPU: 1 PID: 785 Comm: (agetty) Tainted: G        W         4.18.9-200.fc28.aarch64 #1
[  149.015239] Hardware name: raspberrypi rpi/rpi, BIOS 2018.03 04/15/2018
[  149.015246] pstate: 40400005 (nZcv daif +PAN -UAO)
[  149.015319] pc : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  149.015391] lr : drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  149.015394] sp : ffff00000eb13700
[  149.015398] x29: ffff00000eb13700 x28: 0000000000000001 
[  149.015406] x27: 0000000000000060 x26: 0000000000000000 
[  149.015414] x25: 0000000000000001 x24: ffff80003466d800 
[  149.015422] x23: 0000000000000004 x22: 0000000000000030 
[  149.015430] x21: ffff800034372028 x20: ffff80002dcfe600 
[  149.015438] x19: 0000000000000002 x18: 00000000fffffffd 
[  149.015446] x17: 0000000000000001 x16: 0000000000000007 
[  149.015454] x15: 0000000000000001 x14: ffffffffffffffff 
[  149.015462] x13: 0000000000000000 x12: ffff00000981a000 
[  149.015471] x11: ffff000009653000 x10: ffff00000981aa28 
[  149.015479] x9 : 0000000000000000 x8 : ffff00000982b400 
[  149.015486] x7 : 0000000000000000 x6 : 000000005c8f8250 
[  149.015494] x5 : 0000000000000001 x4 : ffff80003e527218 
[  149.015502] x3 : ffff80003e527218 x2 : 0000000000000007 
[  149.015510] x1 : 0000000000000006 x0 : 0000000000000026 
[  149.015518] Call trace:
[  149.015591]  drm_atomic_helper_wait_for_vblanks.part.8+0x254/0x268 [drm_kms_helper]
[  149.015663]  drm_atomic_helper_wait_for_vblanks+0x30/0x40 [drm_kms_helper]
[  149.015706]  vc4_atomic_complete_commit+0x218/0x268 [vc4]
[  149.015741]  vc4_atomic_commit+0x140/0x178 [vc4]
[  149.015916]  drm_atomic_commit+0x54/0x60 [drm]
[  149.015986]  restore_fbdev_mode_atomic+0x204/0x228 [drm_kms_helper]
[  149.016056]  drm_fb_helper_pan_display+0xa8/0x1c8 [drm_kms_helper]
[  149.016069]  fb_pan_display+0x9c/0x110
[  149.016078]  bit_update_start+0x28/0x50
[  149.016086]  fbcon_switch+0x40c/0x518
[  149.016093]  redraw_screen+0x134/0x228
[  149.016099]  csi_J+0xfc/0x150
[  149.016105]  do_con_trol+0xde0/0x1408
[  149.016111]  do_con_write.part.16+0x360/0x8a0
[  149.016117]  con_write+0x44/0x98
[  149.016125]  n_tty_write+0x17c/0x408
[  149.016132]  tty_write+0x11c/0x2f8
[  149.016140]  __vfs_write+0x48/0x158
[  149.016146]  vfs_write+0xac/0x1b0
[  149.016152]  ksys_write+0x54/0xb0
[  149.016158]  sys_write+0x34/0x48
[  149.016166]  el0_svc_naked+0x30/0x34
[  149.016171] ---[ end trace 2ea2e93fb9019f5e ]---
[root@rpi3-minimal ~]# dmesg
[    0.000000] Booting Linux on physical CPU 0x0000000000 [0x410fd034]
[    0.000000] Linux version 4.18.9-200.fc28.aarch64 (mockbuild@buildvm-aarch64-02.arm.fedoraproject.org) (gcc version 8.1.1 20180712 (Red Hat 8.1.1-5) (GCC)) #1 SMP Thu Sep 20 02:22:47 UTC 2018
[    0.000000] Machine model: Raspberry Pi 3 Model B
[    0.000000] efi: Getting EFI parameters from FDT:
[    0.000000] efi: EFI v2.70 by Das U-Boot
[    0.000000] efi:  SMBIOS=0x3d133000 
[    0.000000] cma: Reserved 64 MiB at 0x0000000039000000
[    0.000000] NUMA: No NUMA configuration found
[    0.000000] NUMA: Faking a node at [mem 0x0000000000000000-0x000000003e5fffff]
[    0.000000] NUMA: NODE_DATA [mem 0x3e5d0700-0x3e5ddf7f]
[    0.000000] Zone ranges:
[    0.000000]   DMA32    [mem 0x0000000000000000-0x000000003e5fffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000000000-0x0000000000000fff]
[    0.000000]   node   0: [mem 0x0000000000001000-0x0000000007ffffff]
[    0.000000]   node   0: [mem 0x0000000008000000-0x0000000008004fff]
[    0.000000]   node   0: [mem 0x0000000008006000-0x000000003d130fff]
[    0.000000]   node   0: [mem 0x000000003d131000-0x000000003d140fff]
[    0.000000]   node   0: [mem 0x000000003d141000-0x000000003e5a9fff]
[    0.000000]   node   0: [mem 0x000000003e5aa000-0x000000003e5aafff]
[    0.000000]   node   0: [mem 0x000000003e5ab000-0x000000003e5fffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000000000-0x000000003e5fffff]
[    0.000000] On node 0 totalpages: 255487
[    0.000000]   DMA32 zone: 3992 pages used for memmap
[    0.000000]   DMA32 zone: 0 pages reserved
[    0.000000]   DMA32 zone: 255487 pages, LIFO batch:31
[    0.000000] percpu: Embedded 23 pages/cpu @(____ptrval____) s53400 r8192 d32616 u94208
[    0.000000] pcpu-alloc: s53400 r8192 d32616 u94208 alloc=23*4096
[    0.000000] pcpu-alloc: [0] 0 [0] 1 [0] 2 [0] 3 
[    0.000000] Detected VIPT I-cache on CPU0
[    0.000000] CPU features: enabling workaround for ARM erratum 843419
[    0.000000] CPU features: detected: Kernel page table isolation (KPTI)
[    0.000000] Built 1 zonelists, mobility grouping on.  Total pages: 251495
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: BOOT_IMAGE=/vmlinuz-4.18.9-200.fc28.aarch64 root=UUID=9a926ac9-5938-4539-bb79-72f87b36095f ro LANG=en_US.UTF-8
[    0.000000] Memory: 898324K/1021948K available (9916K kernel code, 1926K rwdata, 6456K rodata, 5760K init, 913K bss, 58088K reserved, 65536K cma-reserved)
[    0.000000] random: get_random_u64 called from kmem_cache_open+0x40/0x4d0 with crng_init=0
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] ftrace: allocating 37335 entries in 146 pages
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=4.
[    0.000000] 	Tasks RCU enabled.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.000000] NR_IRQS: 64, nr_irqs: 64, preallocated irqs: 0
[    0.000000] arch_timer: cp15 timer(s) running at 19.20MHz (phys).
[    0.000000] clocksource: arch_sys_counter: mask: 0xffffffffffffff max_cycles: 0x46d987e47, max_idle_ns: 440795202767 ns
[    0.000007] sched_clock: 56 bits at 19MHz, resolution 52ns, wraps every 4398046511078ns
[    0.000217] Console: colour dummy device 80x25
[    0.000775] console [tty0] enabled
[    0.000903] Calibrating delay loop (skipped), value calculated using timer frequency.. 38.40 BogoMIPS (lpj=192000)
[    0.000938] pid_max: default: 32768 minimum: 301
[    0.001153] Security Framework initialized
[    0.001173] Yama: becoming mindful.
[    0.001211] SELinux:  Initializing.
[    0.001401] SELinux:  Starting in permissive mode
[    0.002866] Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.003634] Inode-cache hash table entries: 65536 (order: 7, 524288 bytes)
[    0.003719] Mount-cache hash table entries: 2048 (order: 2, 16384 bytes)
[    0.003765] Mountpoint-cache hash table entries: 2048 (order: 2, 16384 bytes)
[    0.006214] ASID allocator initialised with 32768 entries
[    0.006378] Hierarchical SRCU implementation.
[    0.009543] Remapping and enabling EFI services.
[    0.010290] smp: Bringing up secondary CPUs ...

Comment 5 Justin M. Forbes 2019-01-29 16:26:50 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2019-02-21 21:12:21 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Christian Fredrik Kalager Schaller 2019-03-22 23:10:09 UTC
Hi Jeff, 
The RaspberryPI support in Fedora is a community effort and not something that is staffed by Red Hat. This means that how well it works or if someone tracks bugs filed against it depends on community contributors doing those jobs. I don't know the current state of the community around Raspberry PI, but I have been told some version of the board does work with latest Fedora releases. If you are interested I suggest going on the #fedora-arm channel on irc.freenode.net and see if you can find any further information there.


Note You need to log in before you can comment on or make changes to this bug.